package com.muyu.common.nacos.remote;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Body;
import com.dtflys.forest.annotation.GetRequest;
import com.dtflys.forest.annotation.Query;
import com.muyu.common.core.constant.Constants;
import com.muyu.common.nacos.remote.interceptor.NacosNamespaceInterceptor;
import com.muyu.common.nacos.remote.req.ServiceListReq;
import com.muyu.common.nacos.remote.resp.ServiceListResp;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.nacos.remote
 * @Project：cloud-common-nacos-remote
 * @name：NacosServiceRemote
 * @Date：2024/8/7 20:36
 */
@BaseRequest(
        baseURL = Constants.HTTP+"#{nacos.addr}/nacos/v1/ns/service",
        interceptor = {NacosNamespaceInterceptor.class}
)
public interface NacosServiceRemote {


   @GetRequest(
           url="/list"
   )
   public ServiceListResp serviceList(@Query ServiceListReq serviceListReq);








}
