package com.muyu.common.nacos.remote.req;

import com.dtflys.forest.annotation.BaseRequest;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.nacos.remote.req
 * @Project：cloud-common-nacos-remote
 * @name：ServiceListReq 服务列表请求参数
 * @Date：2024/8/7 21:27
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ServiceListReq extends BaseReq{

    /**
     * 当前页码
     */
    private int pageNo;

    /**
     * 分页大小
     */
    @Builder.Default
    private int pageSize=2;

    /**
     * 分组名
     */
    private String groupName;



}
