package com.muyu.common.nacos.service;

import com.muyu.common.nacos.remote.NacosServiceRemote;
import com.muyu.common.nacos.remote.req.ServiceListReq;
import com.muyu.common.nacos.remote.resp.ServiceListResp;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.nacos.remote.service
 * @Project：cloud-common-nacos-remote
 * @name：NacosServic
 * @Date：2024/8/7 22:15
 */
public class NacosServerService {

    @Autowired
    private NacosServiceRemote nacosServiceRemote;

    public List<String> nacosServerAllList(){

        List<String> serverList = new ArrayList<String>();
        ServiceListResp  serviceListResp=null;
        int pageNo=0,pageSize=2;

        do{

              serviceListResp=nacosServiceRemote.serviceList(

                    ServiceListReq.builder()
                            .pageNo(++pageNo)
                            .pageSize(pageSize)
                            .build()

            );
              //1

              serverList.addAll(serviceListResp.getDoms());
        }while(serviceListResp.getCount()>= pageNo*pageSize);

        return serverList;

    }

}




